GeoTessCPP 2.6.1 Software to facilitate storage and retrieval of 3D information about the Earth.

Loading...
Searching...
No Matches
geotess::GeoTessHorizonRadius Class Reference

Defines a "surface" in a model that resides at a constant radius. More...

`#include <GeoTessHorizonRadius.h>`

Inheritance diagram for geotess::GeoTessHorizonRadius:

## Public Member Functions
| GeoTessHorizonRadius (const double &r)
| GeoTessHorizonRadius (const double &r, const int &lyrIndex)
virtual | ~GeoTessHorizonRadius ()
| GeoTessHorizonRadius (GeoTessHorizonRadius &other)
GeoTessHorizonRadius & | operator= (const GeoTessHorizonRadius &other)
virtual string | class_name ()
virtual double | getValue ()
virtual double | getRadius (const double *position, GeoTessProfile **profiles)
virtual double | getRadius (GeoTessPosition &position)
virtual string | str ()
Public Member Functions inherited from geotess::GeoTessHorizon
| GeoTessHorizon (const int &lyrIndex)
virtual | ~GeoTessHorizon ()
virtual int | getLayerIndex ()

## Additional Inherited Members
Protected Attributes inherited from geotess::GeoTessHorizon
int | layerIndex

## Detailed Description

Defines a "surface" in a model that resides at a constant radius.

Defines a "surface" in a model that resides at a constant radius.

Author
  sballar

Definition at line 71 of file GeoTessHorizonRadius.h.

## Constructor & Destructor Documentation

## ◆ GeoTessHorizonRadius() [1/3]

geotess::GeoTessHorizonRadius::GeoTessHorizonRadius | ( | const double & | r | ) |
| inline

Constructor for a Horizon object that represents a constant radius within the Earth. Units are km.

Since the layerIndex is not specified, the radius is not constrained to be within any particular layer.

Parameters

  r | radius in km.

Definition at line 90 of file GeoTessHorizonRadius.h.

## ◆ GeoTessHorizonRadius() [2/3]

geotess::GeoTessHorizonRadius::GeoTessHorizonRadius | ( | const double & | r,
|  | const int & | lyrIndex )
| inline

Constructor for a Horizon object that represents a constant radius in the Earth, in km.

Since the layerIndex is specified, the radius will be constrained to be within the specified layer.

Parameters

  r | radius within the Earth, in km.
  lyrIndex | the index of the layer within which the radius will be constrained.

Definition at line 102 of file GeoTessHorizonRadius.h.

## ◆ ~GeoTessHorizonRadius()

virtual geotess::GeoTessHorizonRadius::~GeoTessHorizonRadius | ( |  | ) |
| inline virtual

Destructor.

Definition at line 108 of file GeoTessHorizonRadius.h.

## ◆ GeoTessHorizonRadius() [3/3]

geotess::GeoTessHorizonRadius::GeoTessHorizonRadius | ( | GeoTessHorizonRadius & | other | ) |
| inline

Copy constructor.

Definition at line 113 of file GeoTessHorizonRadius.h.

## Member Function Documentation

## ◆ class_name()

virtual string geotess::GeoTessHorizonRadius::class_name | ( |  | ) |
| inline virtual

Reimplemented from geotess::GeoTessHorizon.

Definition at line 127 of file GeoTessHorizonRadius.h.

## ◆ getRadius() [1/2]

virtual double geotess::GeoTessHorizonRadius::getRadius | ( | const double * | position,
|  | GeoTessProfile ** | profiles )
| inline virtual

Return the radius of the Horizon at the specified geographic position and constrained by the specified array of Profiles, all of which are assumed to reside at the specified position.

Parameters

  position | the unit vector representing the position where the radius is to be determined. This should correspond to the position of the supplied array of Profiles.
  profiles | a 1D array of profiles at the specified position. The number of elements must be equal to the number of layers in the model with the first layer being the deepest (closest to the center of the Earth) and the last layer being the shallowest (farthest from the center of the Earth).

Returns
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Reimplemented from geotess::GeoTessHorizon.

Definition at line 131 of file GeoTessHorizonRadius.h.

## ◆ getRadius() [2/2]

virtual double geotess::GeoTessHorizonRadius::getRadius | ( | GeoTessPosition & | position | ) |
| inline virtual

Return the radius of the Horizon at the position of the specified GeoTessPosition object.

Parameters

  position |

Returns
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Exceptions

  GeoTessException |

Reimplemented from geotess::GeoTessHorizon.

Definition at line 144 of file GeoTessHorizonRadius.h.

## ◆ getValue()

virtual double geotess::GeoTessHorizonRadius::getValue | ( |  | ) |
| inline virtual

HorizonDepth objects return depth, HorizonRadius object return radius, and HorizonLayer object return fraction.

Reimplemented from geotess::GeoTessHorizon.

Definition at line 129 of file GeoTessHorizonRadius.h.

## ◆ operator=()

GeoTessHorizonRadius & geotess::GeoTessHorizonRadius::operator= | ( | const GeoTessHorizonRadius & | other | ) |
| inline

Overloaded assignment operator

Definition at line 120 of file GeoTessHorizonRadius.h.

## ◆ str()

virtual string geotess::GeoTessHorizonRadius::str | ( |  | ) |
| inline virtual

Reimplemented from geotess::GeoTessHorizon.

Definition at line 157 of file GeoTessHorizonRadius.h.

The documentation for this class was generated from the following file:

- rstt_v3.2.1/GeoTessCPP/include/GeoTessHorizonRadius.h